NUTSCAN_FREE_DEVICE(3)

NAME
nutscan_free_device - Free a `nutscan_device_t` structure created by `nutscan_new_device`.

SYNOPSIS
#include <nut-scan.h>
void nutscan_free_device(nutscan_device_t * device);

DESCRIPTION
The nutscan_free_device() function can free a nutscan_device_type_t structure. Doing so, it frees the whole linked list, not only the given device.

NOTES
Technically, the function is currently defined in nutscan-device.h file.

SEE ALSO
nutscan_scan_usb(3), nutscan_scan_xml_http_range(3), nutscan_scan_nut(3), nutscan_scan_avahi(3), nutscan_scan_ipmi(3), nutscan_scan_snmp(3), nutscan_display_ups_conf(3), nutscan_display_parsable(3), nutscan_new_device(3), nutscan_add_option_to_device(3), nutscan_add_device_to_device(3)